libvorbis documentation | libvorbis version 1.3.2 - 20101101

# vorbis_comment_add

declared in "vorbis/codec.h";

This function adds a raw comment string to a vorbis_comment structure.

This function should be used if the string is already in the form "KEY=value". If you have a separate key and value, use vorbis_comment_add_tag instead.

    extern void     vorbis_comment_add(vorbis_comment *vc, const char *comment);

### Parameters

vc
  Pointer to a vorbis_comment structure to add the comment to.
comment
  Pointer to the null-terminated raw comment string. The string will be copied, so it can be freed or modified after this function returns without affecting the vorbis_comment structure's contents.

### Return Values

> - None.

copyright © 2010 Xiph.Org | Ogg Vorbis
libvorbis documentation | libvorbis version 1.3.2 - 20101101